
StructuredBuffer<uint> sbIndex;
RWStructuredBuffer<uint> buffer : BACKBUFFER;

[numthreads(1,1,1)]
void CS_Clear(uint3 i : SV_DispatchThreadID)
{
	buffer[0] = 0;
}

[numthreads(32, 1, 1)]
void CS( uint3 i : SV_DispatchThreadID)
{ 
	// i want to count all appended indices of the filter
	// but the dimension is allways the same
	uint count,stride;
	sbIndex.GetDimensions(count,stride);
	if (i.x >=  asuint(count)) { return;}
	
	buffer[0] = count;
}

technique11 Count
{
	pass P0
	{
		SetComputeShader( CompileShader( cs_5_0, CS() ) );
	}
}

technique11 Clear
{
	pass P0
	{
		SetComputeShader( CompileShader( cs_5_0, CS_Clear() ) );
	}
}







